Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.process
Class SimpleOutputHandler

    java.lang.Object
      org.biojava.utils.process.StreamPipe
          org.biojava.utils.process.SimpleOutputHandler

All Implemented Interfaces:
  Runnable, OutputHandler

    public class SimpleOutputHandler

extends StreamPipe
implements OutputHandler

Simple output handler that pipes the output of an external process to an output stream.

Version:
  $Revision: 3634 $
Author:
  Martin Szugat

Constructor Summary
`SimpleOutputHandler(OutputStream output, String tag)` Initializes the simple output handler.

Method Summary

Methods inherited from class org.biojava.utils.process.StreamPipe
`getInput, getOutput, run, setInput, setOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.process.OutputHandler
`getInput, setInput`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### SimpleOutputHandler

    public SimpleOutputHandler(OutputStream output,
                               String tag)

  Initializes the simple output handler.

  Parameters:
    `output` - the output stream to which to write the output of the external process. May be `null`.
    `tag` - a tag for logging. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD